
[
  {
    "link_type": "prevent delete",
    "linking_table": "travelexp",
    "check_type": "o",
    "enterable": true,
    "linked_table": "em",
    "calculate_field": "",
    "linked_field": "em_employee_id",
    "linking_field": "travelexp_employee_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "travelexp",
    "check_type": "o",
    "enterable": true,
    "linked_table": "em",
    "calculate_field": "",
    "linked_field": "em_employee_id",
    "linking_field": "travelexp_approver_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "travelexpr",
    "check_type": "o",
    "enterable": true,
    "linked_table": "travelexp",
    "calculate_field": "",
    "linked_field": "travelexp_travel_expense_id",
    "linking_field": "travelexpr_travel_expense_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "travelexpr",
    "check_type": "o",
    "enterable": true,
    "linked_table": "expty",
    "calculate_field": "",
    "linked_field": "expty_expense_type_id",
    "linking_field": "travelexpr_expense_type_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "drivlog",
    "check_type": "o",
    "enterable": true,
    "linked_table": "travelexp",
    "calculate_field": "",
    "linked_field": "travelexp_travel_expense_id",
    "linking_field": "drivlog_travel_expense_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "drivlog",
    "check_type": "o",
    "enterable": true,
    "linked_table": "expty",
    "calculate_field": "",
    "linked_field": "expty_expense_type_id",
    "linking_field": "drivlog_expense_type_id"
  },

  {
    "link_type": "prevent delete",
    "linking_table": "link",
    "check_type": "o",
    "enterable": true,
    "linked_table": "task",
    "calculate_field": "",
    "linked_field": "task_record_id",
    "linking_field": "link_child_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "link",
    "check_type": "o",
    "enterable": true,
    "linked_table": "task",
    "calculate_field": "",
    "linked_field": "task_record_id",
    "linking_field": "link_parent_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "taskw",
    "check_type": "o",
    "enterable": true,
    "linked_table": "task",
    "calculate_field": "",
    "linked_field": "task_record_id",
    "linking_field": "taskw_task_id"
  },
  {
    "link_type": "prevent delete",
    "linking_table": "taskw",
    "check_type": "o",
    "enterable": true,
    "linked_table": "em",
    "calculate_field": "",
    "linked_field": "em_employee_id",
    "linking_field": "taskw_employee_id"
  },
  {
    "enterable": true,
    "linking_table": "weff",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "weff_work_load_group_id"
  },
  {
    "enterable": true,
    "linking_table": "soca",
    "link_type": "delete with",
    "linked_table": "soc",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "soc_sales_order_code_id",
    "linking_field": "soca_sales_order_code_id"
  },
  {
    "enterable": true,
    "linking_table": "sor",
    "link_type": "delete with",
    "linked_table": "so",
    "calculate_field": "sor_sales_order_code_id",
    "check_type": "o",
    "linked_field": "so_sales_order_id",
    "linking_field": "sor_sales_order_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "so_company_id"
  },
  {
    "enterable": true,
    "linking_table": "prna",
    "link_type": "delete with",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "prna_product_name_id"
  },
  {
    "enterable": true,
    "linking_table": "vor",
    "link_type": "delete with",
    "linked_table": "vo",
    "calculate_field": "vor_debet",
    "check_type": "",
    "linked_field": "vo_voucher_id",
    "linking_field": "vor_voucher_id"
  },
  {
    "enterable": true,
    "linking_table": "wpe",
    "link_type": "delete with",
    "linked_table": "w",
    "calculate_field": "wpe_units__hour",
    "check_type": "o",
    "linked_field": "w_work__position_num_id",
    "linking_field": "wpe_work__position_num_id"
  },
  {
    "enterable": true,
    "linking_table": "prfi",
    "link_type": "clear linking field",
    "linked_table": "w",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "w_work__position_num_id",
    "linking_field": "prfi_work_id"
  },
  {
    "enterable": true,
    "linking_table": "invr",
    "link_type": "delete with",
    "linked_table": "inv",
    "calculate_field": "invr_sales_order_code_id",
    "check_type": "o",
    "linked_field": "inv_invoice_id",
    "linking_field": "invr_invoice_id"
  },
  {
    "enterable": true,
    "linking_table": "prfi",
    "link_type": "delete with",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "prfi_product_id"
  },
  {
    "enterable": true,
    "linking_table": "resr",
    "link_type": "delete with",
    "linked_table": "res",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "res_resource_id",
    "linking_field": "resr_resource_id"
  },
  {
    "enterable": true,
    "linking_table": "wcr",
    "link_type": "delete with",
    "linked_table": "wcap",
    "calculate_field": "wcr_gross_capacity",
    "check_type": "",
    "linked_field": "wcap_work_capacity_id",
    "linking_field": "wcr_work_capacity_id"
  },
  {
    "enterable": true,
    "linking_table": "suad",
    "link_type": "delete with",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "suad_supplier_id"
  },
  {
    "enterable": true,
    "linking_table": "supe",
    "link_type": "delete with",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "supe_supplier_id"
  },
  {
    "enterable": true,
    "linking_table": "por",
    "link_type": "delete with",
    "linked_table": "po",
    "calculate_field": "por_product_id",
    "check_type": "o",
    "linked_field": "po_purchase_order_id",
    "linking_field": "por_purchase_order_id"
  },
  {
    "enterable": true,
    "linking_table": "apr",
    "link_type": "delete with",
    "linked_table": "ap",
    "calculate_field": "apr_currency_sum",
    "check_type": "",
    "linked_field": "ap_code_id",
    "linking_field": "apr_accounts_payable_id"
  },
  {
    "enterable": true,
    "linking_table": "wcr",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "wcr_work_load_group_id"
  },
  {
    "enterable": true,
    "linking_table": "cope",
    "link_type": "delete with",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "co_company_id",
    "linking_field": "cope_company_id"
  },
  {
    "enterable": true,
    "linking_table": "wblr",
    "link_type": "delete with",
    "linked_table": "wbl",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wbl_waybill_id",
    "linking_field": "wblr_waybill_id"
  },
  {
    "enterable": true,
    "linking_table": "resr",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "resr_work_load_group_id"
  },
  {
    "enterable": true,
    "linking_table": "coad",
    "link_type": "delete with",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "co_company_id",
    "linking_field": "coad_company_id"
  },
  {
    "enterable": true,
    "linking_table": "wme",
    "link_type": "delete with",
    "linked_table": "w",
    "calculate_field": "wme_raw_material_id",
    "check_type": "o",
    "linked_field": "w_work__position_num_id",
    "linking_field": "wme_work__position_num_id"
  },
  {
    "enterable": true,
    "linking_table": "wom",
    "link_type": "delete with",
    "linked_table": "wo",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wo_production_lot",
    "linking_field": "wom_production_lot"
  },
  {
    "enterable": false,
    "linking_table": "appa",
    "link_type": "delete with",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "appa_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "clear linking field",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "pr_work_load_group"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "rcl_fault_made_load_group_id"
  },
  {
    "enterable": false,
    "linking_table": "wos",
    "link_type": "delete with",
    "linked_table": "wo",
    "calculate_field": "",
    "check_type": "l",
    "linked_field": "wo_production_lot",
    "linking_field": "wos_production_lot"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "clear linking field",
    "linked_table": "st",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "st_stock_event_id",
    "linking_field": "sor_stock_event"
  },
  {
    "enterable": false,
    "linking_table": "wpe",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "wpe_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "wma",
    "link_type": "prevent delete",
    "linked_table": "wo",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wo_production_lot",
    "linking_field": "wma_production_lot"
  },
  {
    "enterable": false,
    "linking_table": "wma",
    "link_type": "prevent delete",
    "linked_table": "st",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "st_stock_event_id",
    "linking_field": "wma_stock_event_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "cur_currency_id",
    "linking_field": "so_currency_id"
  },
  {
    "enterable": true,
    "linking_table": "appa",
    "link_type": "delete with",
    "linked_table": "ap",
    "calculate_field": "appa_payment_sum",
    "check_type": "",
    "linked_field": "ap_code_id",
    "linking_field": "appa_accounts_payable_id"
  },
  {
    "enterable": false,
    "linking_table": "wbl",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "wbl_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "wlg",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "wlg_foreman_id"
  },
  {
    "enterable": false,
    "linking_table": "wpa",
    "link_type": "clear linking field",
    "linked_table": "stpa",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "stpa_parcel_code",
    "linking_field": "wpa_parcel_code"
  },
  {
    "enterable": false,
    "linking_table": "wos",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "wos_work_load_group_id"
  },
  {
    "enterable": false,
    "linking_table": "wpa",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "wpa_work_load_group_id"
  },
  {
    "enterable": false,
    "linking_table": "wbl",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "wbl_receiver_id"
  },
  {
    "enterable": false,
    "linking_table": "po",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "po_company_id"
  },
  {
    "enterable": false,
    "linking_table": "todo",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "todo_creator_id"
  },
  {
    "enterable": true,
    "linking_table": "wcr",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "wcr_employee_id"
  },
  {
    "enterable": true,
    "linking_table": "todo",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "todo_company_id"
  },
  {
    "enterable": false,
    "linking_table": "todo",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "todo_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "ap",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "ap_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "wpa",
    "link_type": "prevent delete",
    "linked_table": "wo",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wo_production_lot",
    "linking_field": "wpa_production_lot"
  },
  {
    "enterable": false,
    "linking_table": "appa",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "appa_account_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "pr_customer_id"
  },
  {
    "enterable": false,
    "linking_table": "po",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "po_supplier_id"
  },
  {
    "enterable": true,
    "linking_table": "wo",
    "link_type": "prevent delete",
    "linked_table": "w",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "w_work__position_num_id",
    "linking_field": "wo_work__position_num_id"
  },
  {
    "enterable": true,
    "linking_table": "wma",
    "link_type": "prevent delete",
    "linked_table": "w",
    "calculate_field": "wma_amount__design_unit",
    "check_type": "",
    "linked_field": "w_work__position_num_id",
    "linking_field": "wma_work__position_num_id"
  },
  {
    "enterable": false,
    "linking_table": "invr",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "invr_product_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "clear linking field",
    "linked_table": "po",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "po_purchase_order_id",
    "linking_field": "rcl_repair_purchase_order_id"
  },
  {
    "enterable": false,
    "linking_table": "st",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "st_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "rcl_product_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "rcl_purchase_product_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "prevent delete",
    "linked_table": "soc",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "soc_sales_order_code_id",
    "linking_field": "sor_sales_order_code_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "clear linking field",
    "linked_table": "dn",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "dn_dispatch_note_id",
    "linking_field": "rcl_dispatch_note_id"
  },
  {
    "enterable": false,
    "linking_table": "wlg",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "wlg_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "apr",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "apr_product_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "rcl_customer_id"
  },
  {
    "enterable": true,
    "linking_table": "prsu",
    "link_type": "delete with",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "prsu_product_id"
  },
  {
    "enterable": false,
    "linking_table": "prsu",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "prsu_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "clear linking field",
    "linked_table": "po",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "po_purchase_order_id",
    "linking_field": "rcl_purchase_order_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "rcl_fault_found_load_group_id"
  },
  {
    "enterable": false,
    "linking_table": "wo",
    "link_type": "prevent delete",
    "linked_table": "so",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "so_sales_order_id",
    "linking_field": "wo_sales_order_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "so_supplier_id"
  },
  {
    "enterable": true,
    "linking_table": "resr",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "resr_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "inpa",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "inpa_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "wme",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "pr_product_id",
    "linking_field": "wme_raw_material_id"
  },
  {
    "enterable": false,
    "linking_table": "prpr",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "prpr_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "inpa",
    "link_type": "clear linking field",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "inpa_customer"
  },
  {
    "enterable": false,
    "linking_table": "inpa",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "inpa_account_id"
  },
  {
    "enterable": false,
    "linking_table": "co",
    "link_type": "clear linking field",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "co_invoice_company_id"
  },
  {
    "enterable": false,
    "linking_table": "dn",
    "link_type": "clear linking field",
    "linked_table": "wbl",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wbl_waybill_id",
    "linking_field": "dn_waybill_id"
  },
  {
    "enterable": false,
    "linking_table": "w",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "w_company_id"
  },
  {
    "enterable": true,
    "linking_table": "wpa",
    "link_type": "prevent delete",
    "linked_table": "w",
    "calculate_field": "wpa_work_time__amount",
    "check_type": "",
    "linked_field": "w_work__position_num_id",
    "linking_field": "wpa_work__position_num_id"
  },
  {
  	"_info": "PM added 2018-02-12",
    "enterable": true,
    "linking_table": "wpa",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "wpa_work_time__amount",
    "check_type": "",
    "linked_field": "pr_work__wosition_num_id",
    "linking_field": "wpa_work__position_num_id"
  },
  {
    "enterable": false,
    "linking_table": "po",
    "link_type": "clear linking field",
    "linked_table": "wbl",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wbl_waybill_id",
    "linking_field": "po_waybill_id"
  },
  {
    "enterable": false,
    "linking_table": "vor",
    "link_type": "clear linking field",
    "linked_table": "inpa",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "inpa_invoice_payment_code",
    "linking_field": "vor_invoice_payment_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "clear linking field",
    "linked_table": "so",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "so_sales_order_id",
    "linking_field": "rcl_sales_order_id"
  },
  {
    "enterable": false,
    "linking_table": "po",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "po_orderer_id"
  },
  {
    "enterable": false,
    "linking_table": "su",
    "link_type": "clear linking field",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "su_default_account_id"
  },
  {
    "enterable": false,
    "linking_table": "st",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "st_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "ap",
    "link_type": "prevent delete",
    "linked_table": "top",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "top_terms_of_payment_id",
    "linking_field": "ap_terms_of_payment_id"
  },
  {
    "enterable": false,
    "linking_table": "vor",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "vor_account_id"
  },
  {
    "enterable": false,
    "linking_table": "wma",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "wma_raw_material_id"
  },
  {
    "enterable": false,
    "linking_table": "ap",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "ap_receiver_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "prevent delete",
    "linked_table": "soc",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "soc_sales_order_code_id",
    "linking_field": "pr_sales_order_code_id"
  },
  {
    "enterable": false,
    "linking_table": "co",
    "link_type": "clear linking field",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "co_delivery_company_id"
  },
  {
    "enterable": false,
    "linking_table": "stpa",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "stpa_handler_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "clear linking field",
    "linked_table": "wo",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wo_production_lot",
    "linking_field": "rcl_production_lot"
  },
  {
    "enterable": false,
    "linking_table": "soca",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "soca_account_id"
  },
  {
    "enterable": true,
    "linking_table": "stpa",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "stpa_product_id"
  },
  {
    "enterable": true,
    "linking_table": "prpr",
    "link_type": "delete with",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "prpr_product_id"
  },
  {
    "enterable": false,
    "linking_table": "su",
    "link_type": "prevent delete",
    "linked_table": "top",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "top_terms_of_payment_id",
    "linking_field": "su_terms_of_payment_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "co_company_id",
    "linking_field": "so_company_id"
  },
  {
    "enterable": false,
    "linking_table": "apr",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "apr_account_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "clear linking field",
    "linked_table": "wbl",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wbl_waybill_id",
    "linking_field": "sor_waybill_id"
  },
  {
    "enterable": false,
    "linking_table": "ap",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "ap_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "inv",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "co_company_id",
    "linking_field": "inv_company_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "clear linking field",
    "linked_table": "inv",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "inv_invoice_id",
    "linking_field": "sor_invoice_id"
  },
  {
    "enterable": false,
    "linking_table": "dn",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "dn_company_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "clear linking field",
    "linked_table": "dn",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "dn_dispatch_note_id",
    "linking_field": "sor_dispatch_note_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "sor_product_id",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "sor_product_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "prevent delete",
    "linked_table": "w",
    "calculate_field": "sor_product_id",
    "check_type": "",
    "linked_field": "w_product_id",
    "linking_field": "sor_product_id"
  },
  {
    "enterable": false,
    "linking_table": "resr",
    "link_type": "prevent delete",
    "linked_table": "wcap",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wcap_work_capacity_id",
    "linking_field": "resr_work_capacity_id"
  },
  {
    "enterable": false,
    "linking_table": "vor",
    "link_type": "clear linking field",
    "linked_table": "ap",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ap_code_id",
    "linking_field": "vor_accounts_payable_id"
  },
  {
    "enterable": false,
    "linking_table": "co",
    "link_type": "clear linking field",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "co_accountable_person_id"
  },
  {
    "enterable": false,
    "linking_table": "wos",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "wos_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "so_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "stpa",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "stpa_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "invr",
    "link_type": "prevent delete",
    "linked_table": "soc",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "soc_sales_order_code_id",
    "linking_field": "invr_sales_order_code_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "so_delivery_company_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "top",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "top_terms_of_payment_id",
    "linking_field": "so_terms_of_payment_id"
  },
  {
    "enterable": false,
    "linking_table": "soc",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "soc_discount_account_id"
  },
  {
    "enterable": false,
    "linking_table": "soc",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "soc_sales_account_id"
  },
  {
    "enterable": false,
    "linking_table": "por",
    "link_type": "prevent delete",
    "linked_table": "poc",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "poc_purchase_order_code_id",
    "linking_field": "por_purchase_order_code_id"
  },
  {
    "enterable": false,
    "linking_table": "poc",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "poc_account_id"
  },
  {
    "enterable": false,
    "linking_table": "por",
    "link_type": "clear linking field",
    "linked_table": "w",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "w_work__position_num_id",
    "linking_field": "por_work__position_number_id"
  },
  {
    "enterable": false,
    "linking_table": "st",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "st_product_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "so_dealer_company_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "pr_default_sales_person_id"
  },
	{
		"_info": "AK added sales_report",
		"enterable": false,
		"linking_table": "invr",
		"link_type": "do nothing",
		"linked_table": "co",
		"calculate_field": "",
		"check_type": "o",
		"linked_field": "co_company_id",
		"linking_field": "inv_delivery_company_id"
	},
  {
    "enterable": false,
    "linking_table": "invr",
    "link_type": "clear linking field",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "invr_delivery_customer"
  },
  {
    "enterable": false,
    "linking_table": "co",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "cur_currency_id",
    "linking_field": "co_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "por",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "por_product_id"
  },
  {
    "enterable": false,
    "linking_table": "wpa",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "wpa_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "inv",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "inv_delivery_company_id"
  },
  {
    "enterable": false,
    "linking_table": "so",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "so_invoicing_company_id"
  },
  {
    "enterable": false,
    "linking_table": "sor",
    "link_type": "clear linking field",
    "linked_table": "wo",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wo_production_lot",
    "linking_field": "sor_production_lot"
  },
  {
    "enterable": false,
    "linking_table": "por",
    "link_type": "clear linking field",
    "linked_table": "wo",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "wo_production_lot",
    "linking_field": "por_production_lot"
  },
  {
    "enterable": false,
    "linking_table": "invr",
    "link_type": "prevent delete",
    "linked_table": "so",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "so_sales_order_id",
    "linking_field": "invr_sales_order"
  },
  {
    "enterable": false,
    "linking_table": "su",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "su_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "co",
    "link_type": "prevent delete",
    "linked_table": "top",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "top_terms_of_payment_id",
    "linking_field": "co_terms_of_payment_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "rcl_handler_id"
  },
  {
    "enterable": false,
    "linking_table": "co",
    "link_type": "clear linking field",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "co_default_sales_person_id"
  },
  {
    "enterable": false,
    "linking_table": "vo",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "vo_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "inpa",
    "link_type": "delete with",
    "linked_table": "inv",
    "calculate_field": "inpa_payment",
    "check_type": "o",
    "linked_field": "inv_invoice_id",
    "linking_field": "inpa_invoice_id"
  },
  {
    "enterable": false,
    "linking_table": "co",
    "link_type": "prevent delete",
    "linked_table": "soc",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "soc_sales_order_code_id",
    "linking_field": "co_sales_order_code_id"
  },
  {
    "enterable": false,
    "linking_table": "st",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "st_company_id"
  },
  {
    "enterable": false,
    "linking_table": "po",
    "link_type": "prevent delete",
    "linked_table": "top",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "top_terms_of_payment_id",
    "linking_field": "po_terms_of_payment_id"
  },
  {
    "enterable": false,
    "linking_table": "st",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "st_event_maker_id"
  },
  {
    "enterable": false,
    "linking_table": "invr",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "invr_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "prevent delete",
    "linked_table": "soc",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "soc_sales_order_code_id",
    "linking_field": "pr_foreign_sales_ord_code_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "prevent delete",
    "linked_table": "poc",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "poc_purchase_order_code_id",
    "linking_field": "pr_purchase_order_code_id"
  },
  {
    "enterable": false,
    "linking_table": "inv",
    "link_type": "prevent delete",
    "linked_table": "top",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "top_terms_of_payment_id",
    "linking_field": "inv_terms_of_payment_id"
  },
  {
    "enterable": false,
    "linking_table": "vor",
    "link_type": "clear linking field",
    "linked_table": "inv",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "inv_invoice_id",
    "linking_field": "vor_invoice_id"
  },
  {
    "enterable": false,
    "linking_table": "ap",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "ap_purchase_debt_account_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "clear linking field",
    "linked_table": "w",
    "calculate_field": "",
    "check_type": "l",
    "linked_field": "w_work__position_num_id",
    "linking_field": "pr_work__position_num_id"
  },
  {
    "enterable": false,
    "linking_table": "prsu",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "prsu_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "inv",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "cur_currency_id",
    "linking_field": "inv_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "apr",
    "link_type": "prevent delete",
    "linked_table": "poc",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "poc_purchase_order_code_id",
    "linking_field": "apr_purchase_order_code_id"
  },
  {
    "enterable": true,
    "linking_table": "weff",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "weff_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "po",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "po_receiver_id"
  },
  {
    "enterable": false,
    "linking_table": "por",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "por_company_id"
  },
  {
    "enterable": false,
    "linking_table": "wom",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "pr_product_id",
    "linking_field": "wom_raw_material_id"
  },
  {
    "enterable": false,
    "linking_table": "wpe",
    "link_type": "prevent delete",
    "linked_table": "wlg",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "wlg_work_load_group_id",
    "linking_field": "wpe_work_load_group_id"
  },
  {
    "enterable": false,
    "linking_table": "wom",
    "link_type": "delete with",
    "linked_table": "w",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "w_work__position_num_id",
    "linking_field": "wom_work__position_num_id"
  },
  {
    "enterable": false,
    "linking_table": "w",
    "link_type": "prevent delete",
    "linked_table": "pr",
    "calculate_field": "",
    "check_type": "o",
    "linked_field": "pr_product_id",
    "linking_field": "w_product_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "pr_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "wpe",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "wpe_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "apr",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "apr_purchase_debt_account_id"
  },
  {
    "enterable": false,
    "linking_table": "por",
    "link_type": "clear linking field",
    "linked_table": "st",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "st_stock_event_id",
    "linking_field": "por_stock_event"
  },
  {
    "enterable": false,
    "linking_table": "po",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "po_currency_id"
  },
  {
    "enterable": false,
    "linking_table": "wo",
    "link_type": "prevent delete",
    "linked_table": "co",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "co_company_id",
    "linking_field": "wo_company_id"
  },
  {
    "enterable": false,
    "linking_table": "wpa",
    "link_type": "prevent delete",
    "linked_table": "em",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "em_employee_id",
    "linking_field": "wpa_start_employee_id"
  },
  {
    "enterable": false,
    "linking_table": "soc",
    "link_type": "prevent delete",
    "linked_table": "ac",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "ac_account_id",
    "linking_field": "soc_ar_account_id"
  },
  {
    "enterable": false,
    "linking_table": "rcl",
    "link_type": "prevent delete",
    "linked_table": "su",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "su_supplier_id",
    "linking_field": "rcl_supplier_id"
  },
  {
    "enterable": false,
    "linking_table": "pr",
    "link_type": "prevent delete",
    "linked_table": "cur",
    "calculate_field": "",
    "check_type": "",
    "linked_field": "cur_currency_id",
    "linking_field": "pr_currency_id"
  },
    {
      "link_type": "prevent delete",
      "_info": "PM added for Fastems 2016-04-19",
      "check_type": "o",
      "enterable": false,
      "linked_table": "pr",
      "calculate_field": "",
      "linking_table": "wos",
      "linked_field": "pr_work__position_num_id",
      "linking_field": "wo_work__position_num_id"
    },
    {
      "link_type": "prevent delete",
      "_info": "PM added for Fastems 2015-06-30",
      "check_type": "o",
      "enterable": false,
      "linked_table": "pr",
      "calculate_field": "",
      "linking_table": "wo",
      "linked_fieldZ": "pr_product_id",
      "linking_fieldZ": "w_product_id",
      "linked_field": "pr_work__position_num_id",
      "linking_field": "wo_work__position_num_id"
    },
    {
      "link_type": "prevent delete",
      "_info": "PM added for delivery_reliability report 2016-01-06",
      "check_type": "",
      "enterable": false,
      "linked_table": "su",
      "calculate_field": "",
      "linking_table": "por",
      "linked_field": "su_supplier_id",
      "linking_field": "po_supplier_id"
    },
    {
      "link_type": "prevent delete",
      "_info": "in use? - PM + AK added for will_be_late_work_order 2015-12-16",
      "check_type": "",
      "enterable": false,
      "linked_table": "w",
      "link_type": "delete with",
      "calculate_field": "",
      "linking_table": "wos",
      "linked_field": "w_work__position_num_id",
      "linking_field": "wo_work__position_num_id",
      "linking_field_sql_not_in_use": "LEFT(wos.production_lot, POSITION('/' IN wos.production_lot) - 1)"
    },
    {
      "link_type": "prevent delete",
      "_info": "in use? - PM + AK added for will_be_late_work_order 2015-12-16",
      "check_type": "",
      "enterable": false,
      "linked_table": "so",
      "link_type": "delete with",
      "calculate_field": "",
      "linking_table": "wos",
      "linked_field": "so_sales_order_id",
      "linking_field": "wo_sales_order_id"
    },
    {
      "link_type": "prevent delete",
      "_info": "in use? - PM + AK added for will_be_late_work_order 2015-12-16",
      "check_type": "",
      "enterable": false,
      "linked_table": "sor",
      "link_type": "delete with",
      "calculate_field": "",
      "linking_table": "wos",
      "linked_field": "sor_production_lot",
      "linking_field": "wos_production_lot"
    },
    {
      "_info": "PM+AK added for Nomet wip report 2015-10-26",
      "enterable": true,
      "linking_table": "wme",
      "link_type": "do nothing",
      "linked_table": "wo",
      "calculate_field": "",
      "check_type": "o",
      "linked_field": "wo_work__position_num_id",
      "linking_field": "wme_work__position_num_id"
    },
    {
      "_info": "PM added VA workpost 2017-09-20",
      "enterable": false,
      "linking_table": "wos",
      "link_type": "",
      "linked_table": "co",
      "calculate_field": "",
      "check_type": "l",
      "linked_field": "co_company_id",
      "linking_field": "w_company_id"
    },
    {
      "_info": "AK added sales_report",
      "enterable": false,
      "linking_table": "invr",
      "link_type": "do nothing",
      "linked_table": "cur",
      "calculate_field": "",
      "check_type": "o",
      "linked_field": "cur_currency_id",
      "linking_field": "inv_currency_id"
    }
]
